; *************************************************************************
;                       prototype OpenGL include file
; *************************************************************************

    GLenum      typedef DWORD
    GLbitfield  typedef DWORD
    GLint       typedef DWORD
    GLshort     typedef WORD 
    GLushort    typedef WORD
    GLsizei     typedef DWORD 
    GLfloat     typedef REAL4
    GLclampf    typedef REAL4
    GLdouble    typedef REAL8
    GLclampd    typedef REAL8
    GLboolean   typedef BYTE
    GLbyte      typedef BYTE
    GLubyte     typedef BYTE
    GLuint      typedef DWORD
    GLenum      typedef DWORD
    GLboolean   typedef BYTE
    GLbitfield  typedef DWORD
    GLbyte      typedef BYTE
    GLWORD      typedef WORD
    GLint       typedef DWORD
    GLsizei     typedef DWORD
    GLubyte     typedef BYTE
    GLuWORD     typedef WORD
    GLuint      typedef DWORD
    GLfloat     typedef REAL4
    GLclampf    typedef REAL4
    GLdouble    typedef REAL8
    GLclampd    typedef REAL8

 ;  typedef void GLvoid;            // C original
    GLvoid      typedef DWORD       ; this is probably wrong

; *************************************************************************

;  Version 
GL_VERSION_1_1                    equ 1h

;  AccumOp 
GL_ACCUM                          equ 0100h
GL_LOAD                           equ 0101h
GL_RETURN                         equ 0102h
GL_MULT                           equ 0103h
GL_ADD                            equ 0104h

;  AlphaFunction 
GL_NEVER                          equ 0200h
GL_LESS                           equ 0201h
GL_EQUAL                          equ 0202h
GL_LEQUAL                         equ 0203h
GL_GREATER                        equ 0204h
GL_NOTEQUAL                       equ 0205h
GL_GEQUAL                         equ 0206h
GL_ALWAYS                         equ 0207h

;  AttribMask 
GL_CURRENT_BIT                    equ 00000001h
GL_POINT_BIT                      equ 00000002h
GL_LINE_BIT                       equ 00000004h
GL_POLYGON_BIT                    equ 00000008h
GL_POLYGON_STIPPLE_BIT            equ 00000010h
GL_PIXEL_MODE_BIT                 equ 00000020h
GL_LIGHTING_BIT                   equ 00000040h
GL_FOG_BIT                        equ 00000080h
GL_DEPTH_BUFFER_BIT               equ 00000100h
GL_ACCUM_BUFFER_BIT               equ 00000200h
GL_STENCIL_BUFFER_BIT             equ 00000400h
GL_VIEWPORT_BIT                   equ 00000800h
GL_TRANSFORM_BIT                  equ 00001000h
GL_ENABLE_BIT                     equ 00002000h
GL_COLOR_BUFFER_BIT               equ 00004000h
GL_HINT_BIT                       equ 00008000h
GL_EVAL_BIT                       equ 00010000h
GL_LIST_BIT                       equ 00020000h
GL_TEXTURE_BIT                    equ 00040000h
GL_SCISSOR_BIT                    equ 00080000h
GL_ALL_ATTRIB_BITS                equ 000fffffh

;  BeginMode 
GL_POINTS                         equ 0000h
GL_LINES                          equ 0001h
GL_LINE_LOOP                      equ 0002h
GL_LINE_STRIP                     equ 0003h
GL_TRIANGLES                      equ 0004h
GL_TRIANGLE_STRIP                 equ 0005h
GL_TRIANGLE_FAN                   equ 0006h
GL_QUADS                          equ 0007h
GL_QUAD_STRIP                     equ 0008h
GL_POLYGON                        equ 0009h

;  BlendingFactorDest 
GL_ZERO                           equ 0h
GL_ONE                            equ 1h
GL_SRC_COLOR                      equ 0300h
GL_ONE_MINUS_SRC_COLOR            equ 0301h
GL_SRC_ALPHA                      equ 0302h
GL_ONE_MINUS_SRC_ALPHA            equ 0303h
GL_DST_ALPHA                      equ 0304h
GL_ONE_MINUS_DST_ALPHA            equ 0305h

;  BlendingFactorSrc 
GL_DST_COLOR                      equ 0306h
GL_ONE_MINUS_DST_COLOR            equ 0307h
GL_SRC_ALPHA_SATURATE             equ 0308h

;  Boolean 
GL_TRUE                           equ 1h
GL_FALSE                          equ 0h

;  ClipPlaneName 
GL_CLIP_PLANE0                    equ 3000h
GL_CLIP_PLANE1                    equ 3001h
GL_CLIP_PLANE2                    equ 3002h
GL_CLIP_PLANE3                    equ 3003h
GL_CLIP_PLANE4                    equ 3004h
GL_CLIP_PLANE5                    equ 3005h

;  DataType 
GL_BYTE                           equ 1400h
GL_UNSIGNED_BYTE                  equ 1401h
GL_SHORT                          equ 1402h
GL_UNSIGNED_SHORT                 equ 1403h
GL_INT                            equ 1404h
GL_UNSIGNED_INT                   equ 1405h
GL_FLOAT                          equ 1406h
GL_2_BYTES                        equ 1407h
GL_3_BYTES                        equ 1408h
GL_4_BYTES                        equ 1409h
GL_DOUBLE                         equ 140Ah

;  DrawBufferMode 
GL_NONE                           equ 0h
GL_FRONT_LEFT                     equ 0400h
GL_FRONT_RIGHT                    equ 0401h
GL_BACK_LEFT                      equ 0402h
GL_BACK_RIGHT                     equ 0403h
GL_FRONT                          equ 0404h
GL_BACK                           equ 0405h
GL_LEFT                           equ 0406h
GL_RIGHT                          equ 0407h
GL_FRONT_AND_BACK                 equ 0408h
GL_AUX0                           equ 0409h
GL_AUX1                           equ 040Ah
GL_AUX2                           equ 040Bh
GL_AUX3                           equ 040Ch

;  ErrorCode 
GL_NO_ERROR                       equ 0h
GL_INVALID_ENUM                   equ 0500h
GL_INVALID_VALUE                  equ 0501h
GL_INVALID_OPERATION              equ 0502h
GL_STACK_OVERFLOW                 equ 0503h
GL_STACK_UNDERFLOW                equ 0504h
GL_OUT_OF_MEMORY                  equ 0505h

;  FeedBackMode 
GL_2D                             equ 0600h
GL_3D                             equ 0601h
GL_3D_COLOR                       equ 0602h
GL_3D_COLOR_TEXTURE               equ 0603h
GL_4D_COLOR_TEXTURE               equ 0604h

;  FeedBackToken 
GL_PASS_THROUGH_TOKEN             equ 0700h
GL_POINT_TOKEN                    equ 0701h
GL_LINE_TOKEN                     equ 0702h
GL_POLYGON_TOKEN                  equ 0703h
GL_BITMAP_TOKEN                   equ 0704h
GL_DRAW_PIXEL_TOKEN               equ 0705h
GL_COPY_PIXEL_TOKEN               equ 0706h
GL_LINE_RESET_TOKEN               equ 0707h

;  FogMode 
GL_EXP                            equ 0800h
GL_EXP2                           equ 0801h

;  FrontFaceDirection 
GL_CW                             equ 0900h
GL_CCW                            equ 0901h

;  GetMapTarget 
GL_COEFF                          equ 0A00h
GL_ORDER                          equ 0A01h
GL_DOMAIN                         equ 0A02h

;  GetTarget 
GL_CURRENT_COLOR                  equ 0B00h
GL_CURRENT_INDEX                  equ 0B01h
GL_CURRENT_NORMAL                 equ 0B02h
GL_CURRENT_TEXTURE_COORDS         equ 0B03h
GL_CURRENT_RASTER_COLOR           equ 0B04h
GL_CURRENT_RASTER_INDEX           equ 0B05h
GL_CURRENT_RASTER_TEXTURE_COORDS  equ 0B06h
GL_CURRENT_RASTER_POSITION        equ 0B07h
GL_CURRENT_RASTER_POSITION_VALID  equ 0B08h
GL_CURRENT_RASTER_DISTANCE        equ 0B09h
GL_POINT_SMOOTH                   equ 0B10h
GL_POINT_SIZE                     equ 0B11h
GL_POINT_SIZE_RANGE               equ 0B12h
GL_POINT_SIZE_GRANULARITY         equ 0B13h
GL_LINE_SMOOTH                    equ 0B20h
GL_LINE_WIDTH                     equ 0B21h
GL_LINE_WIDTH_RANGE               equ 0B22h
GL_LINE_WIDTH_GRANULARITY         equ 0B23h
GL_LINE_STIPPLE                   equ 0B24h
GL_LINE_STIPPLE_PATTERN           equ 0B25h
GL_LINE_STIPPLE_REPEAT            equ 0B26h
GL_LIST_MODE                      equ 0B30h
GL_MAX_LIST_NESTING               equ 0B31h
GL_LIST_BASE                      equ 0B32h
GL_LIST_INDEX                     equ 0B33h
GL_POLYGON_MODE                   equ 0B40h
GL_POLYGON_SMOOTH                 equ 0B41h
GL_POLYGON_STIPPLE                equ 0B42h
GL_EDGE_FLAG                      equ 0B43h
GL_CULL_FACE                      equ 0B44h
GL_CULL_FACE_MODE                 equ 0B45h
GL_FRONT_FACE                     equ 0B46h
GL_LIGHTING                       equ 0B50h
GL_LIGHT_MODEL_LOCAL_VIEWER       equ 0B51h
GL_LIGHT_MODEL_TWO_SIDE           equ 0B52h
GL_LIGHT_MODEL_AMBIENT            equ 0B53h
GL_SHADE_MODEL                    equ 0B54h
GL_COLOR_MATERIAL_FACE            equ 0B55h
GL_COLOR_MATERIAL_PARAMETER       equ 0B56h
GL_COLOR_MATERIAL                 equ 0B57h
GL_FOG                            equ 0B60h
GL_FOG_INDEX                      equ 0B61h
GL_FOG_DENSITY                    equ 0B62h
GL_FOG_START                      equ 0B63h
GL_FOG_END                        equ 0B64h
GL_FOG_MODE                       equ 0B65h
GL_FOG_COLOR                      equ 0B66h
GL_DEPTH_RANGE                    equ 0B70h
GL_DEPTH_TEST                     equ 0B71h
GL_DEPTH_WRITEMASK                equ 0B72h
GL_DEPTH_CLEAR_VALUE              equ 0B73h
GL_DEPTH_FUNC                     equ 0B74h
GL_ACCUM_CLEAR_VALUE              equ 0B80h
GL_STENCIL_TEST                   equ 0B90h
GL_STENCIL_CLEAR_VALUE            equ 0B91h
GL_STENCIL_FUNC                   equ 0B92h
GL_STENCIL_VALUE_MASK             equ 0B93h
GL_STENCIL_FAIL                   equ 0B94h
GL_STENCIL_PASS_DEPTH_FAIL        equ 0B95h
GL_STENCIL_PASS_DEPTH_PASS        equ 0B96h
GL_STENCIL_REF                    equ 0B97h
GL_STENCIL_WRITEMASK              equ 0B98h
GL_MATRIX_MODE                    equ 0BA0h
GL_NORMALIZE                      equ 0BA1h
GL_VIEWPORT                       equ 0BA2h
GL_MODELVIEW_STACK_DEPTH          equ 0BA3h
GL_PROJECTION_STACK_DEPTH         equ 0BA4h
GL_TEXTURE_STACK_DEPTH            equ 0BA5h
GL_MODELVIEW_MATRIX               equ 0BA6h
GL_PROJECTION_MATRIX              equ 0BA7h
GL_TEXTURE_MATRIX                 equ 0BA8h
GL_ATTRIB_STACK_DEPTH             equ 0BB0h
GL_CLIENT_ATTRIB_STACK_DEPTH      equ 0BB1h
GL_ALPHA_TEST                     equ 0BC0h
GL_ALPHA_TEST_FUNC                equ 0BC1h
GL_ALPHA_TEST_REF                 equ 0BC2h
GL_DITHER                         equ 0BD0h
GL_BLEND_DST                      equ 0BE0h
GL_BLEND_SRC                      equ 0BE1h
GL_BLEND                          equ 0BE2h
GL_LOGIC_OP_MODE                  equ 0BF0h
GL_INDEX_LOGIC_OP                 equ 0BF1h
GL_COLOR_LOGIC_OP                 equ 0BF2h
GL_AUX_BUFFERS                    equ 0C00h
GL_DRAW_BUFFER                    equ 0C01h
GL_READ_BUFFER                    equ 0C02h
GL_SCISSOR_BOX                    equ 0C10h
GL_SCISSOR_TEST                   equ 0C11h
GL_INDEX_CLEAR_VALUE              equ 0C20h
GL_INDEX_WRITEMASK                equ 0C21h
GL_COLOR_CLEAR_VALUE              equ 0C22h
GL_COLOR_WRITEMASK                equ 0C23h
GL_INDEX_MODE                     equ 0C30h
GL_RGBA_MODE                      equ 0C31h
GL_DOUBLEBUFFER                   equ 0C32h
GL_STEREO                         equ 0C33h
GL_RENDER_MODE                    equ 0C40h
GL_PERSPECTIVE_CORRECTION_HINT    equ 0C50h
GL_POINT_SMOOTH_HINT              equ 0C51h
GL_LINE_SMOOTH_HINT               equ 0C52h
GL_POLYGON_SMOOTH_HINT            equ 0C53h
GL_FOG_HINT                       equ 0C54h
GL_TEXTURE_GEN_S                  equ 0C60h
GL_TEXTURE_GEN_T                  equ 0C61h
GL_TEXTURE_GEN_R                  equ 0C62h
GL_TEXTURE_GEN_Q                  equ 0C63h
GL_PIXEL_MAP_I_TO_I               equ 0C70h
GL_PIXEL_MAP_S_TO_S               equ 0C71h
GL_PIXEL_MAP_I_TO_R               equ 0C72h
GL_PIXEL_MAP_I_TO_G               equ 0C73h
GL_PIXEL_MAP_I_TO_B               equ 0C74h
GL_PIXEL_MAP_I_TO_A               equ 0C75h
GL_PIXEL_MAP_R_TO_R               equ 0C76h
GL_PIXEL_MAP_G_TO_G               equ 0C77h
GL_PIXEL_MAP_B_TO_B               equ 0C78h
GL_PIXEL_MAP_A_TO_A               equ 0C79h
GL_PIXEL_MAP_I_TO_I_SIZE          equ 0CB0h
GL_PIXEL_MAP_S_TO_S_SIZE          equ 0CB1h
GL_PIXEL_MAP_I_TO_R_SIZE          equ 0CB2h
GL_PIXEL_MAP_I_TO_G_SIZE          equ 0CB3h
GL_PIXEL_MAP_I_TO_B_SIZE          equ 0CB4h
GL_PIXEL_MAP_I_TO_A_SIZE          equ 0CB5h
GL_PIXEL_MAP_R_TO_R_SIZE          equ 0CB6h
GL_PIXEL_MAP_G_TO_G_SIZE          equ 0CB7h
GL_PIXEL_MAP_B_TO_B_SIZE          equ 0CB8h
GL_PIXEL_MAP_A_TO_A_SIZE          equ 0CB9h
GL_UNPACK_SWAP_BYTES              equ 0CF0h
GL_UNPACK_LSB_FIRST               equ 0CF1h
GL_UNPACK_ROW_LENGTH              equ 0CF2h
GL_UNPACK_SKIP_ROWS               equ 0CF3h
GL_UNPACK_SKIP_PIXELS             equ 0CF4h
GL_UNPACK_ALIGNMENT               equ 0CF5h
GL_PACK_SWAP_BYTES                equ 0D00h
GL_PACK_LSB_FIRST                 equ 0D01h
GL_PACK_ROW_LENGTH                equ 0D02h
GL_PACK_SKIP_ROWS                 equ 0D03h
GL_PACK_SKIP_PIXELS               equ 0D04h
GL_PACK_ALIGNMENT                 equ 0D05h
GL_MAP_COLOR                      equ 0D10h
GL_MAP_STENCIL                    equ 0D11h
GL_INDEX_SHIFT                    equ 0D12h
GL_INDEX_OFFSET                   equ 0D13h
GL_RED_SCALE                      equ 0D14h
GL_RED_BIAS                       equ 0D15h
GL_ZOOM_X                         equ 0D16h
GL_ZOOM_Y                         equ 0D17h
GL_GREEN_SCALE                    equ 0D18h
GL_GREEN_BIAS                     equ 0D19h
GL_BLUE_SCALE                     equ 0D1Ah
GL_BLUE_BIAS                      equ 0D1Bh
GL_ALPHA_SCALE                    equ 0D1Ch
GL_ALPHA_BIAS                     equ 0D1Dh
GL_DEPTH_SCALE                    equ 0D1Eh
GL_DEPTH_BIAS                     equ 0D1Fh
GL_MAX_EVAL_ORDER                 equ 0D30h
GL_MAX_LIGHTS                     equ 0D31h
GL_MAX_CLIP_PLANES                equ 0D32h
GL_MAX_TEXTURE_SIZE               equ 0D33h
GL_MAX_PIXEL_MAP_TABLE            equ 0D34h
GL_MAX_ATTRIB_STACK_DEPTH         equ 0D35h
GL_MAX_MODELVIEW_STACK_DEPTH      equ 0D36h
GL_MAX_NAME_STACK_DEPTH           equ 0D37h
GL_MAX_PROJECTION_STACK_DEPTH     equ 0D38h
GL_MAX_TEXTURE_STACK_DEPTH        equ 0D39h
GL_MAX_VIEWPORT_DIMS              equ 0D3Ah
GL_MAX_CLIENT_ATTRIB_STACK_DEPTH  equ 0D3Bh
GL_SUBPIXEL_BITS                  equ 0D50h
GL_INDEX_BITS                     equ 0D51h
GL_RED_BITS                       equ 0D52h
GL_GREEN_BITS                     equ 0D53h
GL_BLUE_BITS                      equ 0D54h
GL_ALPHA_BITS                     equ 0D55h
GL_DEPTH_BITS                     equ 0D56h
GL_STENCIL_BITS                   equ 0D57h
GL_ACCUM_RED_BITS                 equ 0D58h
GL_ACCUM_GREEN_BITS               equ 0D59h
GL_ACCUM_BLUE_BITS                equ 0D5Ah
GL_ACCUM_ALPHA_BITS               equ 0D5Bh
GL_NAME_STACK_DEPTH               equ 0D70h
GL_AUTO_NORMAL                    equ 0D80h
GL_MAP1_COLOR_4                   equ 0D90h
GL_MAP1_INDEX                     equ 0D91h
GL_MAP1_NORMAL                    equ 0D92h
GL_MAP1_TEXTURE_COORD_1           equ 0D93h
GL_MAP1_TEXTURE_COORD_2           equ 0D94h
GL_MAP1_TEXTURE_COORD_3           equ 0D95h
GL_MAP1_TEXTURE_COORD_4           equ 0D96h
GL_MAP1_VERTEX_3                  equ 0D97h
GL_MAP1_VERTEX_4                  equ 0D98h
GL_MAP2_COLOR_4                   equ 0DB0h
GL_MAP2_INDEX                     equ 0DB1h
GL_MAP2_NORMAL                    equ 0DB2h
GL_MAP2_TEXTURE_COORD_1           equ 0DB3h
GL_MAP2_TEXTURE_COORD_2           equ 0DB4h
GL_MAP2_TEXTURE_COORD_3           equ 0DB5h
GL_MAP2_TEXTURE_COORD_4           equ 0DB6h
GL_MAP2_VERTEX_3                  equ 0DB7h
GL_MAP2_VERTEX_4                  equ 0DB8h
GL_MAP1_GRID_DOMAIN               equ 0DD0h
GL_MAP1_GRID_SEGMENTS             equ 0DD1h
GL_MAP2_GRID_DOMAIN               equ 0DD2h
GL_MAP2_GRID_SEGMENTS             equ 0DD3h
GL_TEXTURE_1D                     equ 0DE0h
GL_TEXTURE_2D                     equ 0DE1h
GL_FEEDBACK_BUFFER_POINTER        equ 0DF0h
GL_FEEDBACK_BUFFER_SIZE           equ 0DF1h
GL_FEEDBACK_BUFFER_TYPE           equ 0DF2h
GL_SELECTION_BUFFER_POINTER       equ 0DF3h
GL_SELECTION_BUFFER_SIZE          equ 0DF4h

;  GetTextureParameter 
GL_TEXTURE_WIDTH                  equ 1000h
GL_TEXTURE_HEIGHT                 equ 1001h
GL_TEXTURE_INTERNAL_FORMAT        equ 1003h
GL_TEXTURE_BORDER_COLOR           equ 1004h
GL_TEXTURE_BORDER                 equ 1005h

;  HintMode 
GL_DONT_CARE                      equ 1100h
GL_FASTEST                        equ 1101h
GL_NICEST                         equ 1102h

;  LightName 
GL_LIGHT0                         equ 4000h
GL_LIGHT1                         equ 4001h
GL_LIGHT2                         equ 4002h
GL_LIGHT3                         equ 4003h
GL_LIGHT4                         equ 4004h
GL_LIGHT5                         equ 4005h
GL_LIGHT6                         equ 4006h
GL_LIGHT7                         equ 4007h

;  LightParameter 
GL_AMBIENT                        equ 1200h
GL_DIFFUSE                        equ 1201h
GL_SPECULAR                       equ 1202h
GL_POSITION                       equ 1203h
GL_SPOT_DIRECTION                 equ 1204h
GL_SPOT_EXPONENT                  equ 1205h
GL_SPOT_CUTOFF                    equ 1206h
GL_CONSTANT_ATTENUATION           equ 1207h
GL_LINEAR_ATTENUATION             equ 1208h
GL_QUADRATIC_ATTENUATION          equ 1209h

;  ListMode 
GL_COMPILE                        equ 1300h
GL_COMPILE_AND_EXECUTE            equ 1301h

;  LogicOp 
GL_CLEAR                          equ 1500h
GL_AND                            equ 1501h
GL_AND_REVERSE                    equ 1502h
GL_COPY                           equ 1503h
GL_AND_INVERTED                   equ 1504h
GL_NOOP                           equ 1505h
GL_XOR                            equ 1506h
GL_OR                             equ 1507h
GL_NOR                            equ 1508h
GL_EQUIV                          equ 1509h
GL_INVERT                         equ 150Ah
GL_OR_REVERSE                     equ 150Bh
GL_COPY_INVERTED                  equ 150Ch
GL_OR_INVERTED                    equ 150Dh
GL_NAND                           equ 150Eh
GL_SET                            equ 150Fh

;  MaterialParameter 
GL_EMISSION                       equ 1600h
GL_SHININESS                      equ 1601h
GL_AMBIENT_AND_DIFFUSE            equ 1602h
GL_COLOR_INDEXES                  equ 1603h

;  MatrixMode 
GL_MODELVIEW                      equ 1700h
GL_PROJECTION                     equ 1701h
GL_TEXTURE                        equ 1702h

;  PixelCopyType 
GL_COLOR                          equ 1800h
GL_DEPTH                          equ 1801h
GL_STENCIL                        equ 1802h

;  PixelFormat 
GL_COLOR_INDEX                    equ 1900h
GL_STENCIL_INDEX                  equ 1901h
GL_DEPTH_COMPONENT                equ 1902h
GL_RED                            equ 1903h
GL_GREEN                          equ 1904h
GL_BLUE                           equ 1905h
GL_ALPHA                          equ 1906h
GL_RGB                            equ 1907h
GL_RGBA                           equ 1908h
GL_LUMINANCE                      equ 1909h
GL_LUMINANCE_ALPHA                equ 190Ah

;  PixelType 
GL_BITMAP                         equ 1A00h

;  PolygonMode 
GL_POINT                          equ 1B00h
GL_LINE                           equ 1B01h
GL_FILL                           equ 1B02h

;  RenderingMode 
GL_RENDER                         equ 1C00h
GL_FEEDBACK                       equ 1C01h
GL_SELECT                         equ 1C02h

;  ShadingModel 
GL_FLAT                           equ 1D00h
GL_SMOOTH                         equ 1D01h

;  StencilOp 
GL_KEEP                           equ 1E00h
GL_REPLACE                        equ 1E01h
GL_INCR                           equ 1E02h
GL_DECR                           equ 1E03h

;  StringName 
GL_VENDOR                         equ 1F00h
GL_RENDERER                       equ 1F01h
GL_VERSION                        equ 1F02h
GL_EXTENSIONS                     equ 1F03h

;  TextureCoordName 
GL_S                              equ 2000h
GL_T                              equ 2001h
GL_R                              equ 2002h
GL_Q                              equ 2003h

;  TextureEnvMode 
GL_MODULATE                       equ 2100h
GL_DECAL                          equ 2101h

;  TextureEnvParameter 
GL_TEXTURE_ENV_MODE               equ 2200h
GL_TEXTURE_ENV_COLOR              equ 2201h

;  TextureEnvTarget 
GL_TEXTURE_ENV                    equ 2300h

;  TextureGenMode 
GL_EYE_LINEAR                     equ 2400h
GL_OBJECT_LINEAR                  equ 2401h
GL_SPHERE_MAP                     equ 2402h

;  TextureGenParameter 
GL_TEXTURE_GEN_MODE               equ 2500h
GL_OBJECT_PLANE                   equ 2501h
GL_EYE_PLANE                      equ 2502h

;  TextureMagFilter 
GL_NEAREST                        equ 2600h
GL_LINEAR                         equ 2601h

;  TextureMinFilter 
GL_NEAREST_MIPMAP_NEAREST         equ 2700h
GL_LINEAR_MIPMAP_NEAREST          equ 2701h
GL_NEAREST_MIPMAP_LINEAR          equ 2702h
GL_LINEAR_MIPMAP_LINEAR           equ 2703h

;  TextureParameterName 
GL_TEXTURE_MAG_FILTER             equ 2800h
GL_TEXTURE_MIN_FILTER             equ 2801h
GL_TEXTURE_WRAP_S                 equ 2802h
GL_TEXTURE_WRAP_T                 equ 2803h

;  TextureWrapMode 
GL_CLAMP                          equ 2900h
GL_REPEAT                         equ 2901h

;  ClientAttribMask 
GL_CLIENT_PIXEL_STORE_BIT         equ 00000001h
GL_CLIENT_VERTEX_ARRAY_BIT        equ 00000002h
GL_CLIENT_ALL_ATTRIB_BITS         equ ffffffffh

;  polygon_offset 
GL_POLYGON_OFFSET_FACTOR          equ 8038h
GL_POLYGON_OFFSET_UNITS           equ 2A00h
GL_POLYGON_OFFSET_POINT           equ 2A01h
GL_POLYGON_OFFSET_LINE            equ 2A02h
GL_POLYGON_OFFSET_FILL            equ 8037h

;  texture 
GL_ALPHA4                         equ 803Bh
GL_ALPHA8                         equ 803Ch
GL_ALPHA12                        equ 803Dh
GL_ALPHA16                        equ 803Eh
GL_LUMINANCE4                     equ 803Fh
GL_LUMINANCE8                     equ 8040h
GL_LUMINANCE12                    equ 8041h
GL_LUMINANCE16                    equ 8042h
GL_LUMINANCE4_ALPHA4              equ 8043h
GL_LUMINANCE6_ALPHA2              equ 8044h
GL_LUMINANCE8_ALPHA8              equ 8045h
GL_LUMINANCE12_ALPHA4             equ 8046h
GL_LUMINANCE12_ALPHA12            equ 8047h
GL_LUMINANCE16_ALPHA16            equ 8048h
GL_INTENSITY                      equ 8049h
GL_INTENSITY4                     equ 804Ah
GL_INTENSITY8                     equ 804Bh
GL_INTENSITY12                    equ 804Ch
GL_INTENSITY16                    equ 804Dh
GL_R3_G3_B2                       equ 2A10h
GL_RGB4                           equ 804Fh
GL_RGB5                           equ 8050h
GL_RGB8                           equ 8051h
GL_RGB10                          equ 8052h
GL_RGB12                          equ 8053h
GL_RGB16                          equ 8054h
GL_RGBA2                          equ 8055h
GL_RGBA4                          equ 8056h
GL_RGB5_A1                        equ 8057h
GL_RGBA8                          equ 8058h
GL_RGB10_A2                       equ 8059h
GL_RGBA12                         equ 805Ah
GL_RGBA16                         equ 805Bh
GL_TEXTURE_RED_SIZE               equ 805Ch
GL_TEXTURE_GREEN_SIZE             equ 805Dh
GL_TEXTURE_BLUE_SIZE              equ 805Eh
GL_TEXTURE_ALPHA_SIZE             equ 805Fh
GL_TEXTURE_LUMINANCE_SIZE         equ 8060h
GL_TEXTURE_INTENSITY_SIZE         equ 8061h
GL_PROXY_TEXTURE_1D               equ 8063h
GL_PROXY_TEXTURE_2D               equ 8064h

;  texture_object 
GL_TEXTURE_PRIORITY               equ 8066h
GL_TEXTURE_RESIDENT               equ 8067h
GL_TEXTURE_BINDING_1D             equ 8068h
GL_TEXTURE_BINDING_2D             equ 8069h

;  vertex_array 
GL_VERTEX_ARRAY                   equ 8074h
GL_NORMAL_ARRAY                   equ 8075h
GL_COLOR_ARRAY                    equ 8076h
GL_INDEX_ARRAY                    equ 8077h
GL_TEXTURE_COORD_ARRAY            equ 8078h
GL_EDGE_FLAG_ARRAY                equ 8079h
GL_VERTEX_ARRAY_SIZE              equ 807Ah
GL_VERTEX_ARRAY_TYPE              equ 807Bh
GL_VERTEX_ARRAY_STRIDE            equ 807Ch
GL_NORMAL_ARRAY_TYPE              equ 807Eh
GL_NORMAL_ARRAY_STRIDE            equ 807Fh
GL_COLOR_ARRAY_SIZE               equ 8081h
GL_COLOR_ARRAY_TYPE               equ 8082h
GL_COLOR_ARRAY_STRIDE             equ 8083h
GL_INDEX_ARRAY_TYPE               equ 8085h
GL_INDEX_ARRAY_STRIDE             equ 8086h
GL_TEXTURE_COORD_ARRAY_SIZE       equ 8088h
GL_TEXTURE_COORD_ARRAY_TYPE       equ 8089h
GL_TEXTURE_COORD_ARRAY_STRIDE     equ 808Ah
GL_EDGE_FLAG_ARRAY_STRIDE         equ 808Ch
GL_VERTEX_ARRAY_POINTER           equ 808Eh
GL_NORMAL_ARRAY_POINTER           equ 808Fh
GL_COLOR_ARRAY_POINTER            equ 8090h
GL_INDEX_ARRAY_POINTER            equ 8091h
GL_TEXTURE_COORD_ARRAY_POINTER    equ 8092h
GL_EDGE_FLAG_ARRAY_POINTER        equ 8093h
GL_V2F                            equ 2A20h
GL_V3F                            equ 2A21h
GL_C4UB_V2F                       equ 2A22h
GL_C4UB_V3F                       equ 2A23h
GL_C3F_V3F                        equ 2A24h
GL_N3F_V3F                        equ 2A25h
GL_C4F_N3F_V3F                    equ 2A26h
GL_T2F_V3F                        equ 2A27h
GL_T4F_V4F                        equ 2A28h
GL_T2F_C4UB_V3F                   equ 2A29h
GL_T2F_C3F_V3F                    equ 2A2Ah
GL_T2F_N3F_V3F                    equ 2A2Bh
GL_T2F_C4F_N3F_V3F                equ 2A2Ch
GL_T4F_C4F_N3F_V4F                equ 2A2Dh

;  Extensions 
GL_EXT_vertex_array               equ 1h
GL_EXT_bgra                       equ 1h
GL_EXT_paletted_texture           equ 1h
GL_WIN_swap_hint                  equ 1h
GL_WIN_draw_range_elements        equ 1h

;  EXT_vertex_array 
GL_VERTEX_ARRAY_EXT               equ 8074h
GL_NORMAL_ARRAY_EXT               equ 8075h
GL_COLOR_ARRAY_EXT                equ 8076h
GL_INDEX_ARRAY_EXT                equ 8077h
GL_TEXTURE_COORD_ARRAY_EXT        equ 8078h
GL_EDGE_FLAG_ARRAY_EXT            equ 8079h
GL_VERTEX_ARRAY_SIZE_EXT          equ 807Ah
GL_VERTEX_ARRAY_TYPE_EXT          equ 807Bh
GL_VERTEX_ARRAY_STRIDE_EXT        equ 807Ch
GL_VERTEX_ARRAY_COUNT_EXT         equ 807Dh
GL_NORMAL_ARRAY_TYPE_EXT          equ 807Eh
GL_NORMAL_ARRAY_STRIDE_EXT        equ 807Fh
GL_NORMAL_ARRAY_COUNT_EXT         equ 8080h
GL_COLOR_ARRAY_SIZE_EXT           equ 8081h
GL_COLOR_ARRAY_TYPE_EXT           equ 8082h
GL_COLOR_ARRAY_STRIDE_EXT         equ 8083h
GL_COLOR_ARRAY_COUNT_EXT          equ 8084h
GL_INDEX_ARRAY_TYPE_EXT           equ 8085h
GL_INDEX_ARRAY_STRIDE_EXT         equ 8086h
GL_INDEX_ARRAY_COUNT_EXT          equ 8087h
GL_TEXTURE_COORD_ARRAY_SIZE_EXT   equ 8088h
GL_TEXTURE_COORD_ARRAY_TYPE_EXT   equ 8089h
GL_TEXTURE_COORD_ARRAY_STRIDE_EXT equ 808Ah
GL_TEXTURE_COORD_ARRAY_COUNT_EXT  equ 808Bh
GL_EDGE_FLAG_ARRAY_STRIDE_EXT     equ 808Ch
GL_EDGE_FLAG_ARRAY_COUNT_EXT      equ 808Dh
GL_VERTEX_ARRAY_POINTER_EXT       equ 808Eh
GL_NORMAL_ARRAY_POINTER_EXT       equ 808Fh
GL_COLOR_ARRAY_POINTER_EXT        equ 8090h
GL_INDEX_ARRAY_POINTER_EXT        equ 8091h
GL_TEXTURE_COORD_ARRAY_POINTER_EXT equ 8092h
GL_EDGE_FLAG_ARRAY_POINTER_EXT    equ 8093h
GL_DOUBLE_EXT                     equ GL_DOUBLE

;  EXT_bgra 
GL_BGR_EXT                        equ 80E0h
GL_BGRA_EXT                       equ 80E1h

;  EXT_paletted_texture 

;  These must match the GL_COLOR_TABLE_*_SGI enumerants 
GL_COLOR_TABLE_FORMAT_EXT         equ 80D8h
GL_COLOR_TABLE_WIDTH_EXT          equ 80D9h
GL_COLOR_TABLE_RED_SIZE_EXT       equ 80DAh
GL_COLOR_TABLE_GREEN_SIZE_EXT     equ 80DBh
GL_COLOR_TABLE_BLUE_SIZE_EXT      equ 80DCh
GL_COLOR_TABLE_ALPHA_SIZE_EXT     equ 80DDh
GL_COLOR_TABLE_LUMINANCE_SIZE_EXT equ 80DEh
GL_COLOR_TABLE_INTENSITY_SIZE_EXT equ 80DFh

GL_COLOR_INDEX1_EXT               equ 80E2h
GL_COLOR_INDEX2_EXT               equ 80E3h
GL_COLOR_INDEX4_EXT               equ 80E4h
GL_COLOR_INDEX8_EXT               equ 80E5h
GL_COLOR_INDEX12_EXT              equ 80E6h
GL_COLOR_INDEX16_EXT              equ 80E7h

;  WIN_draw_range_elements 
GL_MAX_ELEMENTS_VERTICES_WIN      equ 80E8h
GL_MAX_ELEMENTS_INDICES_WIN       equ 80E9h

;  WIN_phong_shading 
GL_PHONG_WIN                      equ 80EAh
GL_PHONG_HINT_WIN                 equ 80EBh

;  WIN_specular_fog 
GL_FOG_SPECULAR_TEXTURE_WIN       equ 80ECh

;  For compatibility with OpenGL v1.0 
GL_LOGIC_OP                       equ GL_INDEX_LOGIC_OP
GL_TEXTURE_COMPONENTS             equ GL_TEXTURE_INTERNAL_FORMAT

; ***********************************************************

glAccum                 PROTO :GLenum, :GLfloat
glAlphaFunc             PROTO :GLenum, :GLclampf
glAreTexturesResident   PROTO :GLsizei, :GLuint, :GLboolean
glArrayElement          PROTO :GLint
glBegin                 PROTO :GLenum
glBindTexture           PROTO :GLenum, :GLuint
glBitmap                PROTO :GLsizei, :GLsizei, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLubyte
glBlendFunc             PROTO :GLenum, :GLenum
glCallList              PROTO :GLuint
glCallLists             PROTO :GLsizei, :GLenum, :GLvoid
glClear                 PROTO :GLbitfield
glClearAccum            PROTO :GLfloat, :GLfloat, :GLfloat, :GLfloat
glClearColor            PROTO :GLclampf, :GLclampf, :GLclampf, :GLclampf
glClearDepth            PROTO :GLclampd
glClearIndex            PROTO :GLfloat
glClearStencil          PROTO :GLint
glClipPlane             PROTO :GLenum, :GLdouble
glColor3b               PROTO :GLbyte, :GLbyte, :GLbyte
glColor3bv              PROTO :GLbyte
glColor3d               PROTO :GLdouble, :GLdouble, :GLdouble
glColor3dv              PROTO :GLdouble
glColor3f               PROTO :GLfloat, :GLfloat, :GLfloat
glColor3fv              PROTO :GLfloat
glColor3i               PROTO :GLint, :GLint, :GLint
glColor3iv              PROTO :GLint
glColor3s               PROTO :GLshort, :GLshort, :GLshort
glColor3sv              PROTO :GLshort
glColor3ub              PROTO :GLubyte, :GLubyte, :GLubyte
glColor3ubv             PROTO :GLubyte
glColor3ui              PROTO :GLuint, :GLuint, :GLuint
glColor3uiv             PROTO :GLuint
glColor3us              PROTO :GLushort, :GLushort, :GLushort
glColor3usv             PROTO :GLushort
glColor4b               PROTO :GLbyte, :GLbyte, :GLbyte, :GLbyte
glColor4bv              PROTO :GLbyte
glColor4d               PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble
glColor4dv              PROTO :GLdouble
glColor4f               PROTO :GLfloat, :GLfloat, :GLfloat, :GLfloat
glColor4fv              PROTO :GLfloat
glColor4i               PROTO :GLint, :GLint, :GLint, :GLint
glColor4iv              PROTO :GLint
glColor4s               PROTO :GLshort, :GLshort, :GLshort, :GLshort
glColor4sv              PROTO :GLshort
glColor4ub              PROTO :GLubyte, :GLubyte, :GLubyte, :GLubyte
glColor4ubv             PROTO :GLubyte
glColor4ui              PROTO :GLuint, :GLuint, :GLuint, :GLuint
glColor4uiv             PROTO :GLuint
glColor4us              PROTO :GLushort, :GLushort, :GLushort, :GLushort
glColor4usv             PROTO :GLushort
glColorMask             PROTO :GLboolean, :GLboolean, :GLboolean, :GLboolean
glColorMaterial         PROTO :GLenum, :GLenum
glColorPointer          PROTO :GLint, :GLenum, :GLsizei, :GLvoid
glCopyPixels            PROTO :GLint, :GLint, :GLsizei, :GLsizei, :GLenum
glCopyTexImage1D        PROTO :GLenum, :GLint, :GLenum, :GLint, :GLint, :GLsizei, :GLint
glCopyTexImage2D        PROTO :GLenum, :GLint, :GLenum, :GLint, :GLint, :GLsizei, :GLsizei, :GLint
glCopyTexSubImage1D     PROTO :GLenum, :GLint, :GLint, :GLint, :GLint, :GLsizei
glCopyTexSubImage2D     PROTO :GLenum, :GLint, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei
glCullFace              PROTO :GLenum
glDeleteLists           PROTO :GLuint, :GLsizei
glDeleteTextures        PROTO :GLsizei, :GLuint
glDepthFunc             PROTO :GLenum
glDepthMask             PROTO :GLboolean
glDepthRange            PROTO :GLclampd, :GLclampd
glDisable               PROTO :GLenum
glDisableClientState    PROTO :GLenum
glDrawArrays            PROTO :GLenum, :GLint, :GLsizei
glDrawBuffer            PROTO :GLenum
glDrawElements          PROTO :GLenum, :GLsizei, :GLenum, :GLvoid
glDrawPixels            PROTO :GLsizei, :GLsizei, :GLenum, :GLenum, :GLvoid
glEdgeFlag              PROTO :GLboolean
glEdgeFlagPointer       PROTO :GLsizei, :GLvoid
glEdgeFlagv             PROTO :GLboolean
glEnable                PROTO :GLenum
glEnableClientState     PROTO :GLenum
glEnd                   PROTO
glEndList               PROTO
glEvalCoord1d           PROTO :GLdouble
glEvalCoord1dv          PROTO :GLdouble
glEvalCoord1f           PROTO :GLfloat
glEvalCoord1fv          PROTO :GLfloat
glEvalCoord2d           PROTO :GLdouble, :GLdouble
glEvalCoord2dv          PROTO :GLdouble
glEvalCoord2f           PROTO :GLfloat, :GLfloat
glEvalCoord2fv          PROTO :GLfloat
glEvalMesh1             PROTO :GLenum, :GLint, :GLint
glEvalMesh2             PROTO :GLenum, :GLint, :GLint, :GLint, :GLint
glEvalPoint1            PROTO :GLint
glEvalPoint2            PROTO :GLint, :GLint
glFeedbackBuffer        PROTO :GLsizei, :GLenum, :GLfloat
glFinish                PROTO
glFlush                 PROTO
glFogf                  PROTO :GLenum, :GLfloat
glFogfv                 PROTO :GLenum, :GLfloat
glFogi                  PROTO :GLenum, :GLint
glFogiv                 PROTO :GLenum, :GLint
glFrontFace             PROTO :GLenum
glFrustum               PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble, :GLdouble, :GLdouble
glGenLists              PROTO :GLsizei
glGenTextures           PROTO :GLsizei, :GLuint
glGetBooleanv           PROTO :GLenum, :GLboolean
glGetClipPlane          PROTO :GLenum, :GLdouble
glGetDoublev            PROTO :GLenum, :GLdouble
glGetError              PROTO
glGetFloatv             PROTO :GLenum, :GLfloat
glGetIntegerv           PROTO :GLenum, :GLint
glGetLightfv            PROTO :GLenum, :GLenum, :GLfloat
glGetLightiv            PROTO :GLenum, :GLenum, :GLint
glGetMapdv              PROTO :GLenum, :GLenum, :GLdouble
glGetMapfv              PROTO :GLenum, :GLenum, :GLfloat
glGetMapiv              PROTO :GLenum, :GLenum, :GLint
glGetMaterialfv         PROTO :GLenum, :GLenum, :GLfloat
glGetMaterialiv         PROTO :GLenum, :GLenum, :GLint
glGetPixelMapfv         PROTO :GLenum, :GLfloat
glGetPixelMapuiv        PROTO :GLenum, :GLuint
glGetPixelMapusv        PROTO :GLenum, :GLushort
glGetPointerv           PROTO :GLenum, :GLvoid
glGetPolygonStipple     PROTO :GLubyte
glGetString             PROTO :GLenum
glGetTexEnvfv           PROTO :GLenum, :GLenum, :GLfloat
glGetTexEnviv           PROTO :GLenum, :GLenum, :GLint
glGetTexGendv           PROTO :GLenum, :GLenum, :GLdouble
glGetTexGenfv           PROTO :GLenum, :GLenum, :GLfloat
glGetTexGeniv           PROTO :GLenum, :GLenum, :GLint
glGetTexImage           PROTO :GLenum, :GLint, :GLenum, :GLenum, :GLvoid
glGetTexLevelParameterfv PROTO :GLenum, :GLint, :GLenum, :GLfloat
glGetTexLevelParameteriv PROTO :GLenum, :GLint, :GLenum, :GLint
glGetTexParameterfv     PROTO :GLenum, :GLenum, :GLfloat
glGetTexParameteriv     PROTO :GLenum, :GLenum, :GLint
glHint                  PROTO :GLenum, :GLenum
glIndexMask             PROTO :GLuint
glIndexPointer          PROTO :GLenum, :GLsizei, :GLvoid
glIndexd                PROTO :GLdouble
glIndexdv               PROTO :GLdouble
glIndexf                PROTO :GLfloat
glIndexfv               PROTO :GLfloat
glIndexi                PROTO :GLint
glIndexiv               PROTO :GLint
glIndexs                PROTO :GLshort
glIndexsv               PROTO :GLshort
glIndexub               PROTO :GLubyte
glIndexubv              PROTO :GLubyte
glInitNames             PROTO
glInterleavedArrays     PROTO :GLenum, :GLsizei, :GLvoid
glIsEnabled             PROTO :GLenum
glIsList                PROTO :GLuint
glIsTexture             PROTO :GLuint
glLightModelf           PROTO :GLenum, :GLfloat
glLightModelfv          PROTO :GLenum, :GLfloat
glLightModeli           PROTO :GLenum, :GLint
glLightModeliv          PROTO :GLenum, :GLint
glLightf                PROTO :GLenum, :GLenum, :GLfloat
glLightfv               PROTO :GLenum, :GLenum, :GLfloat
glLighti                PROTO :GLenum, :GLenum, :GLint
glLightiv               PROTO :GLenum, :GLenum, :GLint
glLineStipple           PROTO :GLint, :GLushort
glLineWidth             PROTO :GLfloat
glListBase              PROTO :GLuint
glLoadIdentity          PROTO
glLoadMatrixd           PROTO :GLdouble
glLoadMatrixf           PROTO :GLfloat
glLoadName              PROTO :GLuint
glLogicOp               PROTO :GLenum
glMap1d                 PROTO :GLenum, :GLdouble, :GLdouble, :GLint, :GLint, :GLdouble
glMap1f                 PROTO :GLenum, :GLfloat, :GLfloat, :GLint, :GLint, :GLfloat
glMap2d                 PROTO :GLenum, :GLdouble, :GLdouble, :GLint, :GLint, :GLdouble, :GLdouble, :GLint, :GLint, :GLdouble
glMap2f                 PROTO :GLenum, :GLfloat, :GLfloat, :GLint, :GLint, :GLfloat, :GLfloat, :GLint, :GLint, :GLfloat
glMapGrid1d             PROTO :GLint, :GLdouble, :GLdouble
glMapGrid1f             PROTO :GLint, :GLfloat, :GLfloat
glMapGrid2d             PROTO :GLint, :GLdouble, :GLdouble, :GLint, :GLdouble, :GLdouble
glMapGrid2f             PROTO :GLint, :GLfloat, :GLfloat, :GLint, :GLfloat, :GLfloat
glMaterialf             PROTO :GLenum, :GLenum, :GLfloat
glMaterialfv            PROTO :GLenum, :GLenum, :GLfloat
glMateriali             PROTO :GLenum, :GLenum, :GLint
glMaterialiv            PROTO :GLenum, :GLenum, :GLint
glMatrixMode            PROTO :GLenum
glMultMatrixd           PROTO :GLdouble
glMultMatrixf           PROTO :GLfloat
glNewList               PROTO :GLuint, :GLenum
glNormal3b              PROTO :GLbyte, :GLbyte, :GLbyte
glNormal3bv             PROTO :GLbyte
glNormal3d              PROTO :GLdouble, :GLdouble, :GLdouble
glNormal3dv             PROTO :GLdouble
glNormal3f              PROTO :GLfloat, :GLfloat, :GLfloat
glNormal3fv             PROTO :GLfloat
glNormal3i              PROTO :GLint, :GLint, :GLint
glNormal3iv             PROTO :GLint
glNormal3s              PROTO :GLshort, :GLshort, :GLshort
glNormal3sv             PROTO :GLshort
glNormalPointer         PROTO :GLenum, :GLsizei, :GLvoid
glOrtho                 PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble, :GLdouble, :GLdouble
glPassThrough           PROTO :GLfloat
glPixelMapfv            PROTO :GLenum, :GLsizei, :GLfloat
glPixelMapuiv           PROTO :GLenum, :GLsizei, :GLuint
glPixelMapusv           PROTO :GLenum, :GLsizei, :GLushort
glPixelStoref           PROTO :GLenum, :GLfloat
glPixelStorei           PROTO :GLenum, :GLint
glPixelTransferf        PROTO :GLenum, :GLfloat
glPixelTransferi        PROTO :GLenum, :GLint
glPixelZoom             PROTO :GLfloat, :GLfloat
glPointSize             PROTO :GLfloat
glPolygonMode           PROTO :GLenum, :GLenum
glPolygonOffset         PROTO :GLfloat, :GLfloat
glPolygonStipple        PROTO :GLubyte
glPopAttrib             PROTO
glPopClientAttrib       PROTO
glPopMatrix             PROTO
glPopName               PROTO
glPrioritizeTextures    PROTO :GLsizei, :GLuint, :GLclampf
glPushAttrib            PROTO :GLbitfield
glPushClientAttrib      PROTO :GLbitfield
glPushMatrix            PROTO
glPushName              PROTO :GLuint
glRasterPos2d           PROTO :GLdouble, :GLdouble
glRasterPos2dv          PROTO :GLdouble
glRasterPos2f           PROTO :GLfloat, :GLfloat
glRasterPos2fv          PROTO :GLfloat
glRasterPos2i           PROTO :GLint, :GLint
glRasterPos2iv          PROTO :GLint
glRasterPos2s           PROTO :GLshort, :GLshort
glRasterPos2sv          PROTO :GLshort
glRasterPos3d           PROTO :GLdouble, :GLdouble, :GLdouble
glRasterPos3dv          PROTO :GLdouble
glRasterPos3f           PROTO :GLfloat, :GLfloat, :GLfloat
glRasterPos3fv          PROTO :GLfloat
glRasterPos3i           PROTO :GLint, :GLint, :GLint
glRasterPos3iv          PROTO :GLint
glRasterPos3s           PROTO :GLshort, :GLshort, :GLshort
glRasterPos3sv          PROTO :GLshort
glRasterPos4d           PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble
glRasterPos4dv          PROTO :GLdouble
glRasterPos4f           PROTO :GLfloat, :GLfloat, :GLfloat, :GLfloat
glRasterPos4fv          PROTO :GLfloat
glRasterPos4i           PROTO :GLint, :GLint, :GLint, :GLint
glRasterPos4iv          PROTO :GLint
glRasterPos4s           PROTO :GLshort, :GLshort, :GLshort, :GLshort
glRasterPos4sv          PROTO :GLshort
glReadBuffer            PROTO :GLenum
glReadPixels            PROTO :GLint, :GLint, :GLsizei, :GLsizei, :GLenum, :GLenum, :GLvoid
glRectd                 PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble
glRectdv                PROTO :GLdouble, :GLdouble
glRectf                 PROTO :GLfloat, :GLfloat, :GLfloat, :GLfloat
glRectfv                PROTO :GLfloat, :GLfloat
glRecti                 PROTO :GLint, :GLint, :GLint, :GLint
glRectiv                PROTO :GLint, :GLint
glRects                 PROTO :GLshort, :GLshort, :GLshort, :GLshort
glRectsv                PROTO :GLshort, :GLshort
glRenderMode            PROTO :GLenum
glRotated               PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble
glRotatef               PROTO :GLfloat, :GLfloat, :GLfloat, :GLfloat
glScaled                PROTO :GLdouble, :GLdouble, :GLdouble
glScalef                PROTO :GLfloat, :GLfloat, :GLfloat
glScissor               PROTO :GLint, :GLint, :GLsizei, :GLsizei
glSelectBuffer          PROTO :GLsizei , :GLuint
glShadeModel            PROTO :GLenum
glStencilFunc           PROTO :GLenum, :GLint, :GLuint
glStencilMask           PROTO :GLuint
glStencilOp             PROTO :GLenum, :GLenum, :GLenum
glTexCoord1d            PROTO :GLdouble
glTexCoord1dv           PROTO :GLdouble
glTexCoord1f            PROTO :GLfloat
glTexCoord1fv           PROTO :GLfloat
glTexCoord1i            PROTO :GLint
glTexCoord1iv           PROTO :GLint
glTexCoord1s            PROTO :GLshort
glTexCoord1sv           PROTO :GLshort
glTexCoord2d            PROTO :GLdouble, :GLdouble
glTexCoord2dv           PROTO :GLdouble
glTexCoord2f            PROTO :GLfloat, :GLfloat
glTexCoord2fv           PROTO :GLfloat
glTexCoord2i            PROTO :GLint, :GLint
glTexCoord2iv           PROTO :GLint
glTexCoord2s            PROTO :GLshort, :GLshort
glTexCoord2sv           PROTO :GLshort
glTexCoord3d            PROTO :GLdouble, :GLdouble, :GLdouble
glTexCoord3dv           PROTO :GLdouble
glTexCoord3f            PROTO :GLfloat, :GLfloat, :GLfloat
glTexCoord3fv           PROTO :GLfloat
glTexCoord3i            PROTO :GLint, :GLint, :GLint
glTexCoord3iv           PROTO :GLint
glTexCoord3s            PROTO :GLshort, :GLshort, :GLshort
glTexCoord3sv           PROTO :GLshort
glTexCoord4d            PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble
glTexCoord4dv           PROTO :GLdouble
glTexCoord4f            PROTO :GLfloat, :GLfloat, :GLfloat, :GLfloat
glTexCoord4fv           PROTO :GLfloat
glTexCoord4i            PROTO :GLint, :GLint, :GLint, :GLint
glTexCoord4iv           PROTO :GLint
glTexCoord4s            PROTO :GLshort, :GLshort, :GLshort, :GLshort
glTexCoord4sv           PROTO :GLshort
glTexCoordPointer       PROTO :GLint , :GLenum, :GLsizei, :GLvoid
glTexEnvf               PROTO :GLenum, :GLenum, :GLfloat
glTexEnvfv              PROTO :GLenum, :GLenum, :GLfloat
glTexEnvi               PROTO :GLenum, :GLenum, :GLint
glTexEnviv              PROTO :GLenum, :GLenum, :GLint
glTexGend               PROTO :GLenum, :GLenum, :GLdouble
glTexGendv              PROTO :GLenum, :GLenum, :GLdouble
glTexGenf               PROTO :GLenum, :GLenum, :GLfloat
glTexGenfv              PROTO :GLenum, :GLenum, :GLfloat
glTexGeni               PROTO :GLenum, :GLenum, :GLint
glTexGeniv              PROTO :GLenum, :GLenum, :GLint
glTexImage1D            PROTO :GLenum, :GLint, :GLint, :GLsizei, :GLint, :GLenum, :GLenum, :GLvoid
glTexImage2D            PROTO :GLenum, :GLint, :GLint, :GLsizei, :GLsizei, :GLint, :GLenum, :GLenum, :GLvoid
glTexParameterf         PROTO :GLenum, :GLenum, :GLfloat
glTexParameterfv        PROTO :GLenum, :GLenum, :GLfloat
glTexParameteri         PROTO :GLenum, :GLenum, :GLint
glTexParameteriv        PROTO :GLenum, :GLenum, :GLint
glTexSubImage1D         PROTO :GLenum, :GLint, :GLint, :GLsizei, :GLenum, :GLenum, :GLvoid
glTexSubImage2D         PROTO :GLenum, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLenum, :GLenum, :GLvoid
glTranslated            PROTO :GLdouble, :GLdouble, :GLdouble
glTranslatef            PROTO :GLfloat, :GLfloat, :GLfloat
glVertex2d              PROTO :GLdouble, :GLdouble
glVertex2dv             PROTO :GLdouble
glVertex2f              PROTO :GLfloat, :GLfloat
glVertex2fv             PROTO :GLfloat
glVertex2i              PROTO :GLint, :GLint
glVertex2iv             PROTO :GLint
glVertex2s              PROTO :GLshort, :GLshort
glVertex2sv             PROTO :GLshort
glVertex3d              PROTO :GLdouble, :GLdouble, :GLdouble
glVertex3dv             PROTO :GLdouble
glVertex3f              PROTO :GLfloat, :GLfloat, :GLfloat
glVertex3fv             PROTO :GLfloat
glVertex3i              PROTO :GLint, :GLint, :GLint
glVertex3iv             PROTO :GLint
glVertex3s              PROTO :GLshort, :GLshort, :GLshort
glVertex3sv             PROTO :GLshort
glVertex4d              PROTO :GLdouble, :GLdouble, :GLdouble, :GLdouble
glVertex4dv             PROTO :GLdouble
glVertex4f              PROTO :GLfloat, :GLfloat, :GLfloat, :GLfloat
glVertex4fv             PROTO :GLfloat
glVertex4i              PROTO :GLint, :GLint, :GLint, :GLint
glVertex4iv             PROTO :GLint
glVertex4s              PROTO :GLshort, :GLshort, :GLshort, :GLshort
glVertex4sv             PROTO :GLshort
glVertexPointer         PROTO :GLint, :GLenum, :GLsizei, :GLvoid
glViewport              PROTO :GLint, :GLint, :GLsizei, :GLsizei

; 

 ; ;  EXT_vertex_array 
 ; typedef void (APIENTRY * PFNGLARRAYELEMENTEXTPROC) (:GLint i);
 ; typedef void (APIENTRY * PFNGLDRAWARRAYSEXTPROC) (:GLenum mode, :GLint first, :GLsizei count);
 ; typedef void (APIENTRY * PFNGLVERTEXPOINTEREXTPROC) (:GLint , :GLenum, :GLsizei stride, :GLsizei count, const :GLvoid);
 ; typedef void (APIENTRY * PFNGLNORMALPOINTEREXTPROC) (:GLenum, :GLsizei stride, :GLsizei count, const :GLvoid);
 ; typedef void (APIENTRY * PFNGLCOLORPOINTEREXTPROC) (:GLint , :GLenum, :GLsizei stride, :GLsizei count, const :GLvoid);
 ; typedef void (APIENTRY * PFNGLINDEXPOINTEREXTPROC) (:GLenum, :GLsizei stride, :GLsizei count, const :GLvoid);
 ; typedef void (APIENTRY * PFNGLTEXCOORDPOINTEREXTPROC) (:GLint , :GLenum, :GLsizei stride, :GLsizei count, const :GLvoid);
 ; typedef void (APIENTRY * PFNGLEDGEFLAGPOINTEREXTPROC) (:GLsizei stride, :GLsizei count, const :GLboolean);
 ; typedef void (APIENTRY * PFNGLGETPOINTERVEXTPROC) (:GLenum, :GLvoid*);
 ; typedef void (APIENTRY * PFNGLARRAYELEMENTARRAYEXTPROC)(:GLenum mode, :GLsizei count, const :GLvoid* pi);
 ; 
 ; ;  WIN_draw_range_elements 
 ; typedef void (APIENTRY * PFNGLDRAWRANGEELEMENTSWINPROC) (:GLenum mode, :GLuint start, :GLuint end, :GLsizei count, :GLenum, const :GLvoid *indices);
 ; 
 ; ;  WIN_swap_hint 
 ; typedef void (APIENTRY * PFNGLADDSWAPHINTRECTWINPROC)  (:GLint x, :GLint y, :GLsizei width, :GLsizei height);
 ; 
 ; ;  EXT_paletted_texture 
 ; typedef void (APIENTRY * PFNGLCOLORTABLEEXTPROC)
 ;     (:GLenum, :GLenum internalFormat, :GLsizei width, :GLenum format,:GLenum, const :GLvoid *data);
 ; typedef void (APIENTRY * PFNGLCOLORSUBTABLEEXTPROC)
 ;     (:GLenum, :GLsizei start, :GLsizei count, :GLenum format,:GLenum, const :GLvoid *data);
 ; typedef void (APIENTRY * PFNGLGETCOLORTABLEEXTPROC)
 ;     (:GLenum, :GLenum format, :GLenum, :GLvoid *data);
 ; typedef void (APIENTRY * PFNGLGETCOLORTABLEPARAMETERIVEXTPROC)
 ;     (:GLenum, :GLenum, :GLint);
 ; typedef void (APIENTRY * PFNGLGETCOLORTABLEPARAMETERFVEXTPROC)
 ;     (:GLenum, :GLenum, :GLfloat);

